Module jdk.compiler
Package com.sun.source.tree

# Interface AnyPatternTree

All Superinterfaces:
  `PatternTree`, `Tree`

public interface AnyPatternTree extends PatternTree
`AnyPatternTree` is a preview API of the Java platform.
Programs can only use `AnyPatternTree` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A tree node for a binding pattern that matches a pattern with a variable of any name and a type of the match candidate; an unnamed pattern. For example the use of underscore `_` below:

       if (r instanceof R(_)) {}

See Java Language Specification:
  14.30.1 Kinds of Patterns
Since:
  21

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`